#include "LCD4bit.h"

#define RS	RC0
#define EN 	RC1
#define data PORTD
#define strobeLCD()	((EN = 1),(EN = 0))

void initVariable(void)
{
	TRISD=0x00;
	TRISC0 = TRISC1 = 0;
}

void writeLCD(unsigned char value,int rs)
{
	RS=rs;
	unsigned char stored;
	stored=(value<<4)&0xF0;
	//MSB transfer
	data=(value)& 0xF0;
	__delay_ms(1);
	strobeLCD();
	
	//LSB transfer
	data=stored;
	__delay_ms(1);
	strobeLCD();
}


void gotoLCD(unsigned char row,unsigned char col)
{
	if(row==1)
	{
		writeLCD(0x80+col,0);
	}
	else if(row==2)
	{
		writeLCD(0xC0+col,0);
	}
}

void clearLCD(void)
{
	writeLCD(0x01,0);
	__delay_ms(2);
}


void initLCD()
{
	writeLCD(0x20,0);
	data=0x20;
	strobeLCD();
	writeLCD(0x28,0);
	__delay_ms(1);
	writeLCD(0x0C,0);
	__delay_ms(1);
	clearLCD();
	writeLCD(0x06,0);
	__delay_ms(1);
	clearLCD();
	gotoLCD(1,0);
}